Bug 426334 - [compiz] wrong colour for window borders when desktop effects are enabled
[compiz] wrong colour for window borders when desktop effects are enabled
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-20 02:14 EST by Joachim Frieben
Modified: 2008-04-23 08:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-23 08:57:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample screenshot of compiz using wrong colours (68.27 KB, image/png)
2007-12-20 02:14 EST, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-12-20 02:14:49 EST
Description of problem:
I have been keeping the FC5 theme for the metacity window borders for
a while now, but for current "rawhide", the colours get messed up upon
logging in to a GNOME session.

Version-Release number of selected component (if applicable):
compiz-0.6.2-4.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Enable FC5 window borders.
2. Log out/log in.
  
Actual results:
The light blue is replaced by the more saturated one of the current
default theme.

Expected results:
Window decorations are using FC5 colours.

Additional info:
GTK widgets still use the right colours [see the scrollbar in the attached
screenshot]. Disabling desktop effects and enabling them again restores
the FC5 colour scheme for compiz. Plain metacity always behaves correctly.
Comment 1 Joachim Frieben 2007-12-20 02:14:49 EST
Created attachment 290127 [details]
Sample screenshot of compiz using wrong colours
Comment 2 Matthias Clasen 2008-04-22 16:08:40 EDT
Almost certainly a compiz problem
Comment 3 Joachim Frieben 2008-04-23 08:57:45 EDT
I haven't seen this issue lately.

Note You need to log in before you can comment on or make changes to this bug.